<template>
    <div class="admin">
        <button type="button" class="admin__logOutBtn" @click="logOut">Вихід</button>
        <button type="button" class="admin__checkAxiosBtn" @click="checkAxios">Перевірка Axios Headers</button>
    </div>
</template>

<script>
    import { Auth } from "aws-amplify";
    import greenHubAPI from "../config/api";

    export default {
        name: 'AdminPanel',

        methods: {
            async logOut() {
                await Auth.signOut({global: true});
                await this.$router.push({name: 'Login'});
            },

            checkAxios() {
                greenHubAPI.get('axios');
            }
        }
    }
</script>

<style lang="scss" scoped>
    .admin {
        width: 100%;
        min-height: 100vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background: #747576;

        &__logOutBtn, &__checkAxiosBtn {
            width: 100%;
            max-width: 250px;
            background: linear-gradient(90deg, #80EA47 0%, #9CEA72 100%);
            box-shadow: 0px 10px 15px rgba(51, 138, 5, 0.1);
            border-radius: 13px;
            font-weight: 500;
            font-size: 0.78em;
            color: #FFFFFF;
            line-height: 16px;
            padding: 16px;
            margin-top: 18px;
        }
    }
</style>